##  Copyright 2014-2025 Carnegie Mellon University
##  See license information in LICENSE.txt.

##  fixbuf-tools.spec: Generated from fixbuf-tools.spec.in by make.

##  @DISTRIBUTION_STATEMENT_BEGIN@
##  fixbuf-tools 4.0
##
##  Copyright 2024 Carnegie Mellon University.
##
##  NO WARRANTY. THIS CARNEGIE MELLON UNIVERSITY AND SOFTWARE ENGINEERING
##  INSTITUTE MATERIAL IS FURNISHED ON AN "AS-IS" BASIS. CARNEGIE MELLON
##  UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER EXPRESSED OR
##  IMPLIED, AS TO ANY MATTER INCLUDING, BUT NOT LIMITED TO, WARRANTY OF
##  FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY, OR RESULTS
##  OBTAINED FROM USE OF THE MATERIAL. CARNEGIE MELLON UNIVERSITY DOES NOT
##  MAKE ANY WARRANTY OF ANY KIND WITH RESPECT TO FREEDOM FROM PATENT,
##  TRADEMARK, OR COPYRIGHT INFRINGEMENT.
##
##  Licensed under a GNU GPL 2.0-style license, please see LICENSE.txt or
##  contact permission@sei.cmu.edu for full terms.
##
##  [DISTRIBUTION STATEMENT A] This material has been approved for public
##  release and unlimited distribution.  Please see Copyright notice for
##  non-US Government use and distribution.
##
##  This Software includes and/or makes use of Third-Party Software each
##  subject to its own license.
##
##  DM24-1024
##  @DISTRIBUTION_STATEMENT_END@

%define name     fixbuf-tools
%define version  4.0.1
%define release  1%{?dist}


Summary:        Command line tools to convert IPFIX files to JSON or text
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2
Group:          Applications/System
URL:            https://tools.netsa.cert.org/fixbuf-tools/
Source:         https://tools.netsa.cert.org/releases/%{name}-%{version}.tar.gz
Provides:       %{name} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       glib2 >= 2.34.0
Requires:       libfixbuf >= 2.3.0
BuildRequires:  gcc, make, perl-interpreter
BuildRequires:  pkgconfig >= 0.16
BuildRequires:  glib2-devel >= 2.34.0
BuildRequires:  libfixbuf-devel >= 2.3.0

%description
fixbuf-tools contains two command-line tools for processing IPFIX files:
ipfix2json reads an IPFIX file and produces JSON; ipfixDump creates a
human-readable representation of the contents of an IPFIX file.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/ipfix2json
%{_bindir}/ipfixDump
%{_mandir}/man1/ipfix2json.1*
%{_mandir}/man1/ipfixDump.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cert_ipfix.xml

%changelog
* Thu Jul 25 2024 Mark Thomas <netsa-help@cert.org> -
- Initial build.
